import Component from '@ember/component'
import layout from '../../templates/components/en-dropdown/trigger'

export default Component.extend({
  layout,
  classNames: ['dropdown-trigger'],

  click(e) {
    if (this.attrs['on-click']) {
      this.attrs['on-click']()
    }

    e.stopPropagation()
    e.preventDefault()
  },
})
