import { computed } from "@ember/object"

export const fallback = fallback => {
  return computed({
    get() {
      return fallback
    },
    set(key, value) {
      if (typeof value === "undefined") {
        return fallback
      } else {
        return value
      }
    }
  })
}

